:root {
    --lava0:rgb(255,40,0),rgb(255,100,0),rgb(255,180,0),rgb(255,0,80),rgb(150,0,255),rgb(0,120,255),rgb(0,255,200);
    --lava1:rgb(255,0,0),rgb(255,60,0),rgb(255,150,0),rgb(255,100,50),rgb(200,0,255),rgb(0,100,255),rgb(0,200,255);
    --lava2:rgb(255,100,50),rgb(255,150,0),rgb(255,200,50),rgb(255,50,150),rgb(180,0,255),rgb(0,150,255),rgb(0,255,180);
    --lava3:rgb(255,0,50),rgb(255,80,0),rgb(255,180,0),rgb(255,20,100),rgb(150,0,255),rgb(0,150,255),rgb(0,255,150);
    --lava4:rgb(255,50,0),rgb(255,100,50),rgb(255,150,100),rgb(255,50,150),rgb(180,0,255),rgb(0,120,255),rgb(0,255,200);
    --lava5:rgb(255,60,0),rgb(255,120,0),rgb(255,180,50),rgb(255,50,120),rgb(150,0,255),rgb(0,150,255),rgb(0,255,180);
    --lava6:rgb(255,80,0),rgb(255,140,0),rgb(255,200,50),rgb(255,50,100),rgb(180,0,255),rgb(0,150,255),rgb(0,255,150);
    --knot0:rgb(255,255,0),rgb(255,0,0),rgb(255,0,255),rgb(0,0,255),rgb(0,255,255),rgb(0,255,0),rgb(255,255,255);
    --knot1:rgb(255,200,0),rgb(255,0,0),rgb(255,0,150),rgb(0,0,255),rgb(0,150,255),rgb(0,255,0),rgb(255,255,255);
    --knot2:rgb(255,150,0),rgb(255,50,0),rgb(255,0,150),rgb(0,50,255),rgb(0,200,255),rgb(0,255,50),rgb(255,255,255);
    --knot3:rgb(255,100,0),rgb(255,0,50),rgb(255,0,100),rgb(0,0,255),rgb(0,150,255),rgb(0,255,100),rgb(255,255,255);
    --knot4:rgb(255,60,0),rgb(255,0,0),rgb(255,0,80),rgb(0,0,255),rgb(0,120,255),rgb(0,255,150),rgb(255,255,255);
    --knot5:rgb(255,80,0),rgb(255,0,0),rgb(255,0,100),rgb(0,0,255),rgb(0,100,255),rgb(0,255,100),rgb(255,255,255);
    --knot6:rgb(255,100,0),rgb(255,0,0),rgb(255,0,120),rgb(0,0,255),rgb(0,80,255),rgb(0,255,50),rgb(255,255,255);
    --knot7:rgb(255,120,0),rgb(255,0,0),rgb(255,0,140),rgb(0,0,255),rgb(0,60,255),rgb(0,255,0),rgb(255,255,255);
    --knot8:rgb(255,140,0),rgb(255,0,0),rgb(255,0,160),rgb(0,0,255),rgb(0,40,255),rgb(0,255,0),rgb(255,255,255);
    --knot9:rgb(255,160,0),rgb(255,0,0),rgb(255,0,180),rgb(0,0,255),rgb(0,20,255),rgb(0,255,0),rgb(255,255,255);
} 

#strikra { position:absolute; right:15px;top:50%; width:220px; height:40px; border: 1px solid var(--bd); border-radius:20px; transform:translateY(-50%); pointer-events:none; overflow:hidden }
#soul { width:100%; height:100%; display:block }
#videoFeed { max-width:100%; border:1px solid rgb(91,91,91) }
#canvas { display:none }
#response { height:250px }